Package com.ocient.jdbc.proto

## Class PlanProtocol.SortOperator

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.ocient.jdbc.proto.PlanProtocol.SortOperator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.SortOperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.SortOperator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.SortOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.SortOperator`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PlanProtocol.SortOperator.Builder` Protobuf type `xg.db.sqlPlans.SortOperator`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `DIRECTIONS_FIELD_NUMBER`
`static int` `LIMITVAL_FIELD_NUMBER`
`static int` `POINT_FIELD_NUMBER`
`static int` `SORTKEYS_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`static PlanProtocol.SortOperator` `getDefaultInstance()`
`PlanProtocol.SortOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`boolean` `getDirections​(int index)` The directions for each sort col - true = ascending
`int` `getDirectionsCount()` The directions for each sort col - true = ascending
`List<Boolean>` `getDirectionsList()` The directions for each sort col - true = ascending
`long` `getLimitVal()` If we know we only need the top n rows of the sort that is noted here If there is no limit being applied, this is set to -1
`com.google.protobuf.Parser<PlanProtocol.SortOperator>` `getParserForType()`

`PlanProtocol.SortPartition`

`getPoint​(int index)`

This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`int` `getPointCount()` This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`List<PlanProtocol.SortPartition>`

`getPointList()`

This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`PlanProtocol.SortPartitionOrBuilder`

`getPointOrBuilder​(int index)`

This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`List<? extends PlanProtocol.SortPartitionOrBuilder>`

`getPointOrBuilderList()`

This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`int` `getSerializedSize()`
`String` `getSortKeys​(int index)` The sort columns - order matters
`com.google.protobuf.ByteString` `getSortKeysBytes​(int index)` The sort columns - order matters
`int` `getSortKeysCount()` The sort columns - order matters
`com.google.protobuf.ProtocolStringList` `getSortKeysList()` The sort columns - order matters
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static PlanProtocol.SortOperator.Builder` `newBuilder()`
`static PlanProtocol.SortOperator.Builder` `newBuilder​(PlanProtocol.SortOperator prototype)`
`PlanProtocol.SortOperator.Builder` `newBuilderForType()`
`protected PlanProtocol.SortOperator.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static PlanProtocol.SortOperator` `parseDelimitedFrom​(InputStream input)`
`static PlanProtocol.SortOperator` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortOperator` `parseFrom​(byte[] data)`
`static PlanProtocol.SortOperator` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortOperator` `parseFrom​(com.google.protobuf.ByteString data)`
`static PlanProtocol.SortOperator` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortOperator` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static PlanProtocol.SortOperator` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortOperator` `parseFrom​(InputStream input)`
`static PlanProtocol.SortOperator` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortOperator` `parseFrom​(ByteBuffer data)`
`static PlanProtocol.SortOperator` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<PlanProtocol.SortOperator>` `parser()`
`PlanProtocol.SortOperator.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### SORTKEYS_FIELD_NUMBER

    public static final int SORTKEYS_FIELD_NUMBER

See Also:
  Constant Field Values

#### DIRECTIONS_FIELD_NUMBER

    public static final int DIRECTIONS_FIELD_NUMBER

See Also:
  Constant Field Values

#### LIMITVAL_FIELD_NUMBER

    public static final int LIMITVAL_FIELD_NUMBER

See Also:
  Constant Field Values

#### POINT_FIELD_NUMBER

    public static final int POINT_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getSortKeysList

    public com.google.protobuf.ProtocolStringList getSortKeysList()

    The sort columns - order matters

`repeated string sortKeys = 1;`

Specified by:
  `getSortKeysList` in interface `PlanProtocol.SortOperatorOrBuilder`
Returns:
  A list containing the sortKeys.

#### getSortKeysCount

    public int getSortKeysCount()

    The sort columns - order matters

`repeated string sortKeys = 1;`

Specified by:
  `getSortKeysCount` in interface `PlanProtocol.SortOperatorOrBuilder`
Returns:
  The count of sortKeys.

#### getSortKeys

    public String getSortKeys​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Specified by:
  `getSortKeys` in interface `PlanProtocol.SortOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The sortKeys at the given index.

#### getSortKeysBytes

    public com.google.protobuf.ByteString getSortKeysBytes​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Specified by:
  `getSortKeysBytes` in interface `PlanProtocol.SortOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the sortKeys at the given index.

#### getDirectionsList

    public List<Boolean> getDirectionsList()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Specified by:
  `getDirectionsList` in interface `PlanProtocol.SortOperatorOrBuilder`
Returns:
  A list containing the directions.

#### getDirectionsCount

    public int getDirectionsCount()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Specified by:
  `getDirectionsCount` in interface `PlanProtocol.SortOperatorOrBuilder`
Returns:
  The count of directions.

#### getDirections

    public boolean getDirections​(int index)

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Specified by:
  `getDirections` in interface `PlanProtocol.SortOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The directions at the given index.

#### getLimitVal

    public long getLimitVal()

    If we know we only need the top n rows of the sort
    that is noted here
    If there is no limit being applied, this is set to -1

`int64 limitVal = 3;`

Specified by:
  `getLimitVal` in interface `PlanProtocol.SortOperatorOrBuilder`
Returns:
  The limitVal.

#### getPointList

    public List<PlanProtocol.SortPartition> getPointList()

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`

Specified by:
  `getPointList` in interface `PlanProtocol.SortOperatorOrBuilder`

#### getPointOrBuilderList

    public List<? extends PlanProtocol.SortPartitionOrBuilder> getPointOrBuilderList()

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`

Specified by:
  `getPointOrBuilderList` in interface `PlanProtocol.SortOperatorOrBuilder`

#### getPointCount

    public int getPointCount()

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`

Specified by:
  `getPointCount` in interface `PlanProtocol.SortOperatorOrBuilder`

#### getPoint

    public PlanProtocol.SortPartition getPoint​(int index)

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`

Specified by:
  `getPoint` in interface `PlanProtocol.SortOperatorOrBuilder`

#### getPointOrBuilder

    public PlanProtocol.SortPartitionOrBuilder getPointOrBuilder​(int index)

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`

Specified by:
  `getPointOrBuilder` in interface `PlanProtocol.SortOperatorOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(ByteBuffer data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(ByteBuffer data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(com.google.protobuf.ByteString data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(com.google.protobuf.ByteString data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(byte[] data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(byte[] data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(InputStream input)
                                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(InputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.SortOperator parseDelimitedFrom​(InputStream input)
                                                        throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.SortOperator parseDelimitedFrom​(InputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(com.google.protobuf.CodedInputStream input)
                                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.SortOperator parseFrom​(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public PlanProtocol.SortOperator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static PlanProtocol.SortOperator.Builder newBuilder()

#### newBuilder

    public static PlanProtocol.SortOperator.Builder newBuilder​(PlanProtocol.SortOperator prototype)

#### toBuilder

    public PlanProtocol.SortOperator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected PlanProtocol.SortOperator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static PlanProtocol.SortOperator getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<PlanProtocol.SortOperator> parser()

#### getParserForType

    public com.google.protobuf.Parser<PlanProtocol.SortOperator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public PlanProtocol.SortOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`